"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var apputils_1 = require("@jupyterlab/apputils");
var grid_status_widget_1 = require("./grid-status-widget");
require("../style/index.css");
/**
 * Initialization data for the jupyterlab_grid_status_widget extension.
 */
var extension = {
    id: 'jupyterlab_grid_status_widget',
    autoStart: true,
    requires: [apputils_1.ICommandPalette, apputils_1.IThemeManager],
    activate: function (app, palette, themeManager) {
        themeManager.register({
            name: "jupyterlab_grid_status_widget_theme",
            load: function () {
                return themeManager.loadCSS('jupyterlab_grid_status_widget/theme.css');
            },
            unload: function () {
                return Promise.resolve(void 0);
            }
        });
        // Create a single widget
        var gridStatusWidget = new grid_status_widget_1.GridStatusWidget(app.serviceManager.serverSettings.baseUrl);
        gridStatusWidget.id = 'cw-jupyterlab-qstat';
        gridStatusWidget.title.label = 'cw';
        gridStatusWidget.title.closable = true;
        // Add an application command
        var command = 'get:open';
        app.commands.addCommand(command, {
            label: 'Get Grid Engine Status',
            execute: function () {
                if (!gridStatusWidget.isAttached) {
                    // Attach the gridStatusWidget to the main area if it's not there
                    app.shell.addToMainArea(gridStatusWidget);
                }
                // Activate the gridStatusWidget
                app.shell.activateById(gridStatusWidget.id);
            }
        });
        // Add the command to the palette.
        palette.addItem({ command: command, category: 'CW Extension Commands' });
        console.log('JupyterLab extension jupyterlab_grid_status_widget is activated!');
    }
};
exports.default = extension;
//# sourceMappingURL=index.js.map